@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap');

:root {
	--color-bg: #1c1c1c;
	--color-gold: #ffd000;
	--color-blue: #8bf;
	--color-text: #eee;
	--color-gray: #333;
}


* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	background-color: black;
	font-size: 18px;
}

body {
	font-family: system-ui;
	background-color: var(--color-bg);
	color: var(--color-text);
	line-height: 1.6;
	padding: 0 3rem 4rem;
	max-width: 80rem;
	margin-inline: auto;
}

/* Header */
header {
	text-align: center;
	padding: 2rem 0;
	margin: 0 -2.5rem 2rem;
}

header img {
	width: 75%;
	max-width: 480px;
	margin-inline: auto;
}

/* Headings */
h1, h2, h3 {
	font-family: 'Orbitron', sans-serif;
}

h1, h2, h3, h4, strong {
	color: var(--color-gold);
}

h2, h3, h4, th {
	text-transform: uppercase;
}

h1 {
	font-size: 5rem;
}

h2 {
	background-color: var(--color-gray);
	font-size: 1.5rem;
	padding: 0.5em 1em;
	letter-spacing: 0.2em;
	margin-bottom: 1.5rem;
	border-left: 8px solid var(--color-gold);
}

h3 {
	font-size: 1.2rem;
	letter-spacing: 0.15em;
	margin: 1.5rem 0 0.625rem;
}

h4 {
	margin: 1rem 0 0.3rem;
}

/* Figure */
figure {
	display: flex;
	gap: 2rem;
	align-items: center;
}

figure img {
	width: 410px;
}

figcaption p {
	margin-bottom: 1.25rem;
}

/* Table */
table {
	border-collapse: collapse;
}

th, td {
	padding: 0.2em 0;
	text-align: left;
}

th {
	color: var(--color-blue);
	font-size: 0.8rem;
	font-weight: normal;
	padding-right: 2em;
}

/* Lists */
ul, ol {
	margin-left: 1.5em;
	margin-bottom: 1em;
}

li {
	margin-bottom: 0.2em;
}

/* Blockquote */
blockquote, em {
	margin-top: 1.5rem;
	color: var(--color-blue);
	font-style: italic;
}

blockquote cite {
	display: block;
}

/* Sections */
section {
	margin-block: 4em;
}

section > p {
	margin-bottom: 0.625rem;
}

strong {
	font-weight: normal;
}
